package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFBE0 extends MwfRequest<MWFBE0, MWFBE0Response> {

    @Parameter(name = "CastkaPrvnihoCerpani")
    MWFBE0 castkaPrvnihoCerpani(Long castkaPrvnihoCerpani);
    @Parameter(name = "PocetSplatek")
    MWFBE0 pocetSplatek(Long pocetSplatek);
    @Parameter(name = "VariantaVybranaFlag")
    MWFBE0 variantaVybranaFlag(String variantaVybranaFlag);
    @Parameter(name = "Varianta_KEY")
    MWFBE0 variantaKEY(Long variantaKEY);
    @Parameter(name = "VyseUveru")
    MWFBE0 vyseUveru(Long vyseUveru);
    @Parameter(name = "Zadost_KEY")
    MWFBE0 zadostKEY(Long zadostKEY);
}
